DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Host-to-Host Payment
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
    • Get Bank List - FPX
    • Retrieve Payment Status
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
        POST
      • Charge Payment
        POST
      • Capture Authorized Payment
        POST
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Host-to-Host Payment

Check Three D Secure

POST
/check-three-d-secure
Endpoint for H2H merchants to check 3D Secure eligibility on a credit card. Returns an authentication URL used to redirect the consumer to the 3DS challenge page.
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com

Request

Header Params

Body Params application/jsonRequired

Examples
{
    "order": {
        "amount": 150000,
        "currency": "MYR",
        "invoice_number": "INV-2024-001",
        "descriptor": "DOKU Payment"
    },
    "card": {
        "number": "4111111111111111",
        "expiry": "1225",
        "cardholder_name": "John Doe",
        "cardholder_email_address": "john.doe@example.com",
        "cardholder_phone_number": "081234567890"
    },
    "three_d_secure": {
        "callback_url_success": "https://merchant.com/payment/success",
        "callback_url_failed": "https://merchant.com/payment/failed"
    },
    "payment": {
        "type": "SALE"
    },
    "customer": {
        "id": "CUST-001",
        "name": "John Doe",
        "email": "john.doe@example.com",
        "phone": "081234567890"
    }
}

Responses

🟢200
application/json
Success - returns authentication URL for the 3DS challenge
Bodyapplication/json

Example
{
    "order": {
        "amount": 150000,
        "currency": "MYR",
        "invoice_number": "INV-2024-001"
    },
    "three_d_secure": {
        "authentication_id": "AUTH-20240115-001",
        "authentication_url": "https://3ds.doku.com/authenticate?id=AUTH-20240115-001",
        "three_ds_version": "2.0"
    }
}
🟠400
🟠409
🟠412
Modified at 2026-05-04 06:07:15
Previous
Request Payment
Next
Charge Payment
Built with